> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Bulk get Oligos by ID

GET https://{tenant_name}.benchling.com/api/v2/oligos:bulk-get

Bulk get Oligos by ID

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/oligos/bulk-get-oligos

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `oligoIds` (string, required) — Comma-separated list of IDs of Oligos to get.
- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).

## Response

### 200

OK

- `oligos` (list of OligosBulkGetOligosItems, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### OligosBulkGetOligosItems

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Response**

```json
{
  "oligos": [
    {
      "aliases": [
        "string"
      ],
      "annotations": [
        {
          "color": "#F58A5E",
          "customFields": [
            {
              "name": "string",
              "value": "string"
            }
          ],
          "end": 1,
          "name": "string",
          "notes": "Cong et al Science. 2013 Jan 3.",
          "start": 1,
          "strand": 1,
          "type": "string"
        }
      ],
      "apiURL": "https://benchling.com/api/v2/dna-oligos/seq_bhuDUw9D",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "authors": [
        {
          "handle": "string",
          "id": "string",
          "name": "string"
        }
      ],
      "bases": "ACTTTTT",
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "customFields": {},
      "customNotation": "string",
      "customNotationName": "string",
      "entityRegistryId": "string",
      "fields": {},
      "folderId": "string",
      "helm": "RNA1{d(A)p.d(C)[Ssp].d(T)p.d(T)p.d(T)p.d(T)p.d(T)p}$$$$V2.0",
      "id": "seq_bhuDUw9D",
      "length": 1,
      "modifiedAt": "2024-01-15T09:30:00Z",
      "name": "string",
      "nucleotideType": "DNA",
      "registrationOrigin": {
        "originEntryId": "string",
        "registeredAt": "2024-01-15T09:30:00Z"
      },
      "registryId": "string",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "webURL": "https://benchling.com/benchling/f/lib_hBHqKbzE-oligos/seq_bhuDUw9D-test-oligo-abc/edit"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/oligos:bulk-get"

querystring = {"oligoIds":"oligoIds"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/oligos:bulk-get?oligoIds=oligoIds';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```